=== backends/mysql/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
soci_backend(MySQL
  DEPENDS MySQL
  HEADERS soci-mysql.h common.h
  DESCRIPTION "SOCI backend for MySQL database engine"
  AUTHORS "Pawel Aleksander Fedorynski"
  MAINTAINERS "Pawel Aleksander Fedorynski")

add_subdirectory(test)
