=== backends/odbc/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
soci_backend(ODBC
  DEPENDS ODBC
  HEADERS soci-odbc.h utility.h
  DESCRIPTION "SOCI backend for ODBC"
  AUTHORS "Maciej Sobczak, Stephen Hutton, David Courtney"
  MAINTAINERS "Vadim Zeitlin, Mateusz Loskot, Maciej Sobczak")

add_subdirectory(test)
