=== debian/changelog ===
soci (3.2.3-2) unstable; urgency=medium

  * Change libmysqlclient-dev to default-libmysqlclient-dev in build-depends
    (Closes: #845909)
  * Remove unneeded dh_clean override
  * Switch to automatic dbgsym package for symbols
  * Update standards version to 3.9.8 (no changes needed)
  * Update copyright
  * Update dh compatibility to 10
  * Linitan overrides for spelling error false positives
  * Force bindnow hardening flag since it's not getting applied automatically

 -- William Blough <devel@blough.us>  Tue, 08 Nov 2016 13:54:34 -0500

soci (3.2.3-1) unstable; urgency=medium

  [Tobias Frost]
  * Reintroducing package, repackaged from scratch (Closes: #752696)
  * Renaming binary packages to drop gcc suffix and add SONAME to
    library packages
  * New packages for firebird and odbc backends
  * New patch to support multiarch: 01-cmake_set_soci_libdir.patch

  [William Blough]
  * New upstream release.
  * Update standards version to 3.9.6 (no changes needed)

 -- William Blough <devel@blough.us>  Thu, 04 Jun 2015 11:55:32 -0400

soci (3.0.0+cvs20081223-4) unstable; urgency=low

  * QA upload.
  * gcc_ftbfs.patch - Include missing headers. (Closes: #549640).
    + Thanks to Nobuhiro Iwamatsu for the patch!
  * Add README.source for quilt.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 09 Oct 2009 11:21:18 -0400

soci (3.0.0+cvs20081223-3) unstable; urgency=low

  [ Marco Rodrigues ]
  * QA upload.
  * Fix FTBFS because of GCC 4.4 (Closes: #525719).

  [ Christoph Berg ]
  * Set -dbg package Section to debug.

 -- Christoph Berg <myon@debian.org>  Sun, 21 Jun 2009 13:05:28 +0200

soci (3.0.0+cvs20081223-2) unstable; urgency=low

  * QA upload.
  * Changing maintainer to QA group
  * Update Standards Version (no changes)
  * Migrate to dh_prep instead of dh_clean -k

 -- Neil Williams <codehelp@debian.org>  Fri, 03 Apr 2009 11:04:01 +0100

soci (3.0.0+cvs20081223-1) experimental; urgency=low

  * New CVS snapshot. Closes: #509453.
  * debian/control:
    - New maintainer.
    - Update Standards-Version to 3.8.0. (No changes).
    - Update compat version to 7 and upgrade debhelper Build-Depends.
    - Update Vcs-* fields.
  * debian/rules:
    - Migrate away from cdbs.
  * debian/patches:
    - Migrate to quilt.
    - sqlite-namespace.patch - Removed (Gone upstream).
    - sqlite-common-ctime.patch - Removed (Gone upstream).
    - postgressql-standard-use-type.patch - Removed (No longer needed).
    - postgressql-common-ctime.patch - Removed (Gone upstream).
    - mysql-common-ctime.patch - Removed (Gone upstream).
    - missing-headers.patch - Removed (No longer needed).
    - link-against-dl.patch - Refreshed.
    - fix-gcc4.3-build.patch - Fix build with gcc 4.3.
    - fix-gcc4.4-build.patch - Fix build with gcc 4.4. (Patch from Martin
      Michlmayr <tbm@cyrius.com>) Closes: #504907

 -- Bradley Smith <bradsmith@debian.org>  Tue, 23 Dec 2008 11:13:58 +0000

soci (2.2.0-4) unstable; urgency=low

  * Fix soci FTBFS on mips (Closes: #481499)
  Thanks to Thiemo Seufer for the patch.

 -- Neil Williams <codehelp@debian.org>  Sat, 17 May 2008 08:23:41 +0100

soci (2.2.0-3) unstable; urgency=low

  * FTBFS: auto_ptr with no type (Closes: #478504)
    Add more missing C++ headers to soci.h and std::tm
    definition (<ctime>) to each backend common.h.

 -- Neil Williams <codehelp@debian.org>  Tue, 06 May 2008 22:00:19 +0100

soci (2.2.0-2) unstable; urgency=low

  * soci - FTBFS: error: 'bad_cast' is not a member of 'std'
    (incomplete fix, bug reopened).

 -- Neil Williams <codehelp@debian.org>  Mon, 05 May 2008 00:18:09 +0100

soci (2.2.0-1) unstable; urgency=low

  * Initial release soci -- C++ Database Access Library (Closes: #476793)

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Apr 2008 11:31:19 +0100
