=== debian/control ===
Source: soci
Section: libs
Priority: optional
Maintainer: William Blough <devel@blough.us>
Build-Depends: cmake,
               debhelper (>= 10),
               default-libmysqlclient-dev,
               firebird-dev,
               libboost-date-time-dev,
               libboost-dev,
               libpq-dev,
               libsqlite3-dev,
               unixodbc-dev
Standards-Version: 3.9.8
Homepage: http://soci.sourceforge.net/
VCS-Browser: https://bitbucket.org/bblough/soci/src
VCS-Git: https://bitbucket.org/bblough/soci.git

Package: libsoci-core3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the shared library.

Package: libsoci-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libsoci-core3.2 (= ${binary:Version}),
         libsoci-firebird3.2 (= ${binary:Version}),
         libsoci-mysql3.2 (= ${binary:Version}),
         libsoci-odbc3.2 (= ${binary:Version}),
         libsoci-postgresql3.2 (= ${binary:Version}),
         libsoci-sqlite3-3.2 (= ${binary:Version}),
         ${misc:Depends}
Description: C++ Database Access Library (devel)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the development headers.

Package: libsoci-mysql3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library (MySQL backend)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the MySQL backend.

Package: libsoci-sqlite3-3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library (SQLite3 backend)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the SQLite3 backend.

Package: libsoci-postgresql3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library (PostgreSQL backend)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the PostgreSQL backend.

Package: libsoci-firebird3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library (Firebird backend)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code,  staying entirely
 within Standard C++.
 .
 This package provides the Firebird backend.

Package: libsoci-odbc3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library (ODBC backend)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code,  staying entirely
 within Standard C++.
 .
 This package provides the ODBC backend.
