=== debian/watch ===
version=3
http://sf.net/soci/soci-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
