=== debian/changelog ===
soci (4.0.1-5) unstable; urgency=medium

  * Add unsigned type hints to sqlite backend. Closes: 984534

 -- William Blough <bblough@debian.org>  Wed, 10 Mar 2021 12:46:31 -0500

soci (4.0.1-4) unstable; urgency=medium

  * Rebuild with C++11 support.  Closes: 983572

 -- William Blough <bblough@debian.org>  Fri, 26 Feb 2021 11:34:53 -0500

soci (4.0.1-3) unstable; urgency=medium

  * Force autopkgtests to use c++98 since SOCI isn't compiled with c++11 support

 -- William Blough <bblough@debian.org>  Mon, 21 Dec 2020 11:33:34 -0500

soci (4.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- William Blough <bblough@debian.org>  Fri, 18 Dec 2020 10:14:47 -0500

soci (4.0.1-1) experimental; urgency=medium

  * New upstream version 4.0.1
  * Remove patches applied upstream
    - fix alignment warnings/errors in firebird backend
    - fix alignment warnings/errors in firebird ODBC
    - fix error message wording

 -- William Blough <bblough@debian.org>  Thu, 17 Dec 2020 10:57:35 -0500

soci (4.0.0-2) experimental; urgency=medium

  * Add patch to ignore cast alignment warnings/errors in firebird backend
  * Add patch from upstream to ignore alignment errors/warnings in ODBC backend
  * Mark libsoci-dev as Multi-Arch: same

 -- William Blough <bblough@debian.org>  Sat, 19 Sep 2020 19:57:37 -0400

soci (4.0.0-1) experimental; urgency=medium

  * New upstream version 4.0.0
  * Refresh patches
  * Update watch file to ignore release candidates
  * Update to debhelper compat 12
  * Updated standards version to 4.5.0
    - Change URLs in d/copyright to https
    - Change priority extra to optional
  * Lintian fixes
    - Remove dbgsym-migration from d/rules
    - Remove unused overrides
    - Remove duplicate priority field
    - Fix error message wording
    - Add lintian override for spelling error false positive
    - Add missing sources for minified JS
  * Add simple autopkgtests to verify that programs using soci can be built.
  * Add gbp.conf
  * Update VCS URLs
  * Update maintainer email

 -- William Blough <bblough@debian.org>  Sat, 11 Apr 2020 17:14:43 -0400
