=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: soci
 Section: libs
 Priority: optional
-Maintainer: William Blough <devel@blough.us>
+Maintainer: William Blough <bblough@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                default-libmysqlclient-dev,
                firebird-dev,
                libboost-date-time-dev,
@@ -11,12 +11,12 @@
                libpq-dev,
                libsqlite3-dev,
                unixodbc-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: http://soci.sourceforge.net/
-VCS-Browser: https://bitbucket.org/bblough/soci/src
-VCS-Git: https://bitbucket.org/bblough/soci.git
+Vcs-Browser: https://salsa.debian.org/bblough/soci
+Vcs-Git: https://salsa.debian.org/bblough/soci.git
 
-Package: libsoci-core3.2
+Package: libsoci-core4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -30,14 +30,14 @@
 
 Package: libsoci-dev
 Section: libdevel
-Priority: extra
 Architecture: any
-Depends: libsoci-core3.2 (= ${binary:Version}),
-         libsoci-firebird3.2 (= ${binary:Version}),
-         libsoci-mysql3.2 (= ${binary:Version}),
-         libsoci-odbc3.2 (= ${binary:Version}),
-         libsoci-postgresql3.2 (= ${binary:Version}),
-         libsoci-sqlite3-3.2 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libsoci-core4.0 (= ${binary:Version}),
+         libsoci-firebird4.0 (= ${binary:Version}),
+         libsoci-mysql4.0 (= ${binary:Version}),
+         libsoci-odbc4.0 (= ${binary:Version}),
+         libsoci-postgresql4.0 (= ${binary:Version}),
+         libsoci-sqlite3-4.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: C++ Database Access Library (devel)
  Database access library for C++ that makes the illusion of
@@ -46,7 +46,7 @@
  .
  This package provides the development headers.
 
-Package: libsoci-mysql3.2
+Package: libsoci-mysql4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -58,7 +58,7 @@
  .
  This package provides the MySQL backend.
 
-Package: libsoci-sqlite3-3.2
+Package: libsoci-sqlite3-4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -70,7 +70,7 @@
  .
  This package provides the SQLite3 backend.
 
-Package: libsoci-postgresql3.2
+Package: libsoci-postgresql4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -82,7 +82,7 @@
  .
  This package provides the PostgreSQL backend.
 
-Package: libsoci-firebird3.2
+Package: libsoci-firebird4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -94,7 +94,7 @@
  .
  This package provides the Firebird backend.
 
-Package: libsoci-odbc3.2
+Package: libsoci-odbc4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
